<?php

namespace App\Exports;

use App\Models\ReservationStatus;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithHeadings;

class ReservationStatusesExport implements FromCollection, WithHeadings
{
    public function headings(): array
    {
        return [
            'title',
        ];
    }

    /**
     * @return \Illuminate\Support\Collection
     */
    public function collection()
    {
        return ReservationStatus::all()->makeHidden([
            'id',
            'created_at',
            'updated_at',
        ]);
    }
}
